import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:mini_app_likewallet/home/button_action/button_action.dart';
import 'package:mini_app_likewallet/home/home_component/home_component.dart';
import 'package:mini_app_likewallet/provider/home_provider/home_provider.dart';
import 'package:mini_app_likewallet/provider/home_provider/index_provider/index_provider.dart';
import 'package:mini_app_likewallet/provider/home_provider/send_provider/send_provider.dart';
import 'package:mini_app_likewallet/send/component/send_receipt_component.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:mini_app_likewallet/send/send_confirm.dart';
import 'package:provider/provider.dart';

class SendReceiptScreen extends StatefulWidget {
  @override
  _SendReceiptScreen createState() => _SendReceiptScreen();
}

class _SendReceiptScreen extends State<SendReceiptScreen> {
  SendProvider _sendProvider;
  HomeProvider _getLikeWallet;
  IndexProvider _indexProvider;
  final format = new DateFormat('dd-MM-yyyy HH:MM');
  DateTime now = DateTime.now();

  @override
  void didChangeDependencies() async {
    super.didChangeDependencies();
    _getLikeWallet = Provider.of<HomeProvider>(context);
    _sendProvider = Provider.of<SendProvider>(context, listen: true);
    _indexProvider = Provider.of<IndexProvider>(context, listen: true);
  }

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Container(
      height: 2119.h - 174.h,
      width: 1080.w,
      decoration: BoxDecoration(
        color: Colors.transparent,
        borderRadius: BorderRadius.circular(103.0.h),
      ),
      child: Stack(
        children: [
          Positioned(
              top: -174.h, child: SendReceiptComponent.receiptBackground()),
          Positioned(
              left: -374.58.w, bottom: 0.h, child: SendReceiptComponent.line()),
          Column(
            children: [
              SizedBox(height: 122.h),
              Container(
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Stack(
                      children: [
                        SendReceiptComponent.imageReceipt(),
                        Padding(
                          padding: EdgeInsets.only(left: 140.w),
                          child: Row(
                            mainAxisAlignment: MainAxisAlignment.center,
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [receiptDetail()],
                          ),
                        ),
                      ],
                    ),
                  ],
                ),
              ),
              SizedBox(height: 100.h),
              Container(
                padding: EdgeInsets.symmetric(horizontal: 114.h),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    SendReceiptComponent.buttonShare(),
                    // SizedBox(width: 43.w),
                    SendReceiptComponent.buttonSave(),
                  ],
                ),
              ),
              Expanded(child: Container()),
              FlatButton(
                  onPressed: () {
                    _getLikeWallet.setSendReceipt(status: false);
                    _getLikeWallet.setSendConfirm(status: false);
                    _getLikeWallet.setMenu(status: true);
                    _indexProvider.loadBalance();
                  },
                  child: ButtonAction.closeMenuWhite()),
              // SizedBox(height: 45.h),
            ],
          ),
        ],
      ),
    );
  }

  Widget receiptDetail() {
    return Container(
      width: 800.w,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 120.h),
          SendReceiptComponent.title(text: 'From'),
          SendReceiptComponent.detail(text: _sendProvider.getNameFOMR),
          SizedBox(height: 40.h),
          SendReceiptComponent.title(text: 'To'),
          SendReceiptComponent.detail(text: _sendProvider.getNameTo),
          SizedBox(height: 40.h),
          SendReceiptComponent.title(text: 'Amount'),
          SendReceiptComponent.detail(
              text: _sendProvider.getAmount.join() + ' LIKE'),
          SizedBox(height: 40.h),
          SendReceiptComponent.title(text: 'Fee'),
          SendReceiptComponent.detail(text: '0'),
          SizedBox(height: 40.h),
          SendReceiptComponent.title(text: 'NOTE :'),
          Container(
            width: 583.w,
            child: SendReceiptComponent.textNote(
                text: _sendProvider.noteController.text),
          ),
          SizedBox(height: 70.h),
          SendReceiptComponent.textBack31(text: 'Transaction Completed!'),
          SendReceiptComponent.textBack31(
              text: DateFormat('dd-MM-yyyy').format(now).toString()),
          SendReceiptComponent.textBack31(
              text: DateFormat('hh:mm a').format(now).toString()),
        ],
      ),
    );
  }
}
